org.red5.io

## Class CachingFileKeyFrameMetaCache

- java.lang.Object
- - org.red5.io.FileKeyFrameMetaCache
  - - org.red5.io.CachingFileKeyFrameMetaCache

All Implemented Interfaces:
  IKeyFrameMetaCache

    public class CachingFileKeyFrameMetaCache
    extends FileKeyFrameMetaCache

### Constructor Summary

Constructors
Constructor and Description
`CachingFileKeyFrameMetaCache()`

### Method Summary

Methods
`IKeyFrameDataAnalyzer.KeyFrameMeta` `loadKeyFrameMeta(File file)` Load keyframe informations for the given file.
`void` `saveKeyFrameMeta(File file, IKeyFrameDataAnalyzer.KeyFrameMeta meta)` Store keyframe informations for the given file.
`void` `setMaxCacheEntry(int maxCacheEntry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachingFileKeyFrameMetaCache

    public CachingFileKeyFrameMetaCache()

### Method Detail

#### setMaxCacheEntry

    public void setMaxCacheEntry(int maxCacheEntry)

#### loadKeyFrameMeta

    public IKeyFrameDataAnalyzer.KeyFrameMeta loadKeyFrameMeta(File file)

Description copied from class: `FileKeyFrameMetaCache`
Load keyframe informations for the given file.

Specified by:
  `loadKeyFrameMeta` in interface `IKeyFrameMetaCache`
Overrides:
  `loadKeyFrameMeta` in class `FileKeyFrameMetaCache`
Parameters:
  `file` - File to load informations for.
Returns:
  The keyframe informations or `null` if none exist.

#### saveKeyFrameMeta

    public void saveKeyFrameMeta(File file,
                        IKeyFrameDataAnalyzer.KeyFrameMeta meta)

Description copied from class: `FileKeyFrameMetaCache`
Store keyframe informations for the given file.

Specified by:
  `saveKeyFrameMeta` in interface `IKeyFrameMetaCache`
Overrides:
  `saveKeyFrameMeta` in class `FileKeyFrameMetaCache`
Parameters:
  `file` - File to save informations for.
  `meta` - Keyframe informations for this file.